/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import type { ButtonProps } from 'antd';
import { SchemaInitializerItemType, SchemaInitializerItemTypeWithoutName, SchemaInitializerOptions } from './types';
export declare class SchemaInitializer<P1 = ButtonProps, P2 = {}> {
    options: SchemaInitializerOptions<P1, P2>;
    name: string;
    get items(): SchemaInitializerItemType<any>[];
    constructor(options: SchemaInitializerOptions<P1, P2>);
    add(name: string, item: SchemaInitializerItemTypeWithoutName): void;
    get(nestedName: string): SchemaInitializerItemType | undefined;
    remove(nestedName: string): void;
}
